View Issue Details

IDProjectCategoryView StatusLast Update
0003120Ham Radio DeluxeBugpublic2019-02-24 15:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.184 
Target VersionFixed in Version6.5.0.196 
Summary0003120: FT-891 Proc EQ1 Freq and Proc EQ2 frequency settings don't work correctly
DescriptionThe FT-891 has band-based equalizer settings for its speech processor. The Rig Control sliders for Processor EQ1 and Processor EQ2's center frequency setting don't work correctly. The Sliders don't control the radio, and Rig Control doesn't reflect the radio's setting.

Note that the processor EQ settings are different than the audio EQ settings.
Steps To Reproduce1) Get Rig Control started and connect to an FT-891
2) Make sure the "130 Proc EQ1 Frequency" and "133 Proc EQ2 Frequency" sliders are visible
3) hold "F" button on the radio to enter the settings menu
4) Use the Multi knob to find setting 15-10, which is "P-EQ1 FREQ"
5) Adjust the slider in Rig Control

BUG#1) The radio doesn't change settings. The Rig Control slider snaps back

6) Us the Multi knob to select, then adjust the setting on the radio

BUG#2) Rig Control's slider doesn't change with the radio setting

7) The same test can be performed for the "P-EQ2 FREQ" settings.


TagsFT-891, Yaesu
ModuleRig Control
Sub-ModuleDX Cluster
Testing Beta Successful

Activities

K7ZCZ

2019-01-29 13:44

administrator   ~0007125

Fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4776

WA9PIE

2019-02-05 14:59

administrator   ~0007267

Unsuccessful with the 190 build at HRO store.

K7ZCZ

2019-02-05 18:15

administrator   ~0007283

Fixed (really!) with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4809

WA9PIE

2019-02-09 12:46

administrator   ~0007340

Validated at Yaesu booth at Hamcation

Issue History

Date Modified Username Field Change
2019-01-27 11:20 K7ZCZ New Issue
2019-01-27 11:25 K7ZCZ Tag Attached: FT-891
2019-01-27 11:25 K7ZCZ Tag Attached: Yaesu
2019-01-29 13:44 K7ZCZ Assigned To => K7ZCZ
2019-01-29 13:44 K7ZCZ Status new => resolved
2019-01-29 13:44 K7ZCZ Resolution open => fixed
2019-01-29 13:44 K7ZCZ Note Added: 0007125
2019-01-29 22:47 K7ZCZ Fixed in Version => 6.5.0.188
2019-02-05 14:59 WA9PIE Status resolved => feedback
2019-02-05 14:59 WA9PIE Resolution fixed => reopened
2019-02-05 14:59 WA9PIE Description Updated View Revisions
2019-02-05 14:59 WA9PIE Steps to Reproduce Updated View Revisions
2019-02-05 14:59 WA9PIE Testing Not Started => Beta Successful
2019-02-05 14:59 WA9PIE Note Added: 0007267
2019-02-05 16:24 WA9PIE Testing Beta Successful => Beta Failed
2019-02-05 18:15 K7ZCZ Status feedback => resolved
2019-02-05 18:15 K7ZCZ Resolution reopened => fixed
2019-02-05 18:15 K7ZCZ Fixed in Version 6.5.0.188 =>
2019-02-05 18:15 K7ZCZ Note Added: 0007283
2019-02-06 11:18 K7ZCZ Fixed in Version => 6.5.0.191
2019-02-09 12:46 WA9PIE Status resolved => closed
2019-02-09 12:46 WA9PIE Testing Beta Failed => Beta Successful
2019-02-09 12:46 WA9PIE Note Added: 0007340
2019-02-24 14:36 WA9PIE Fixed in Version 6.5.0.191 => 6.5.0.196
2019-02-24 15:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe